"""Mapping tables for IATIReader"""

STATUS_CODES = {
    '1': 'Pipeline/Identification',
    '2': 'Implementation',
    '3': 'Completion',
    '4': 'Post-completion',
    '5': 'Cancelled',
    '6': 'Suspended'
}
"""Lookup table for IATI status codes"""


DAC_SECTOR_CODES = {
    "110": "Education",
    "111": "Education, Level Unspecified",
    "112": "Basic Education",
    "113": "Secondary Education",
    "114": "Post-Secondary Education",
    "120": "Health",
    "121": "Health, General",
    "122": "Basic Health",
    "130": "Population Policies/Programmes & Reproductive Health",
    "140": "Water Supply & Sanitation",
    "150": "Government & Civil Society",
    "151": "Government & Civil Society-general",
    "152": "Conflict, Peace & Security",
    "160": "Other Social Infrastructure & Services",
    "210": "Transport & Storage",
    "220": "Communications",
    "230": "Energy",
    "231": "Energy Policy",
    "232": "Energy generation, renewable sources",
    "233": "Energy generation, non-renewable sources",
    "234": "Hybrid energy plants",
    "235": "Nuclear energy plants",
    "236": "Energy distribution",
    "240": "Banking & Financial Services",
    "250": "Business & Other Services",
    "310": "Agriculture, Forestry, Fishing",
    "311": "Agriculture",
    "312": "Forestry",
    "313": "Fishing",
    "320": "Industry, Mining, Construction",
    "321": "Industry",
    "322": "Mineral Resources & Mining",
    "323": "Construction",
    "331": "Trade Policies & Regulations",
    "332": "Tourism",
    "410": "General Environment Protection",
    "430": "Other Multisector",
    "510": "General Budget Support",
    "520": "Developmental Food Aid/Food Security Assistance",
    "530": "Other Commodity Assistance",
    "600": "Action Relating to Debt",
    "720": "Emergency Response",
    "730": "Reconstruction Relief & Rehabilitation",
    "740": "Disaster Prevention & Preparedness",
    "910": "Administrative Costs of Donors",
    "930": "Refugees in Donor Countries",
    "998": "Unallocated / Unspecified"
}
"""OECD DAC high-level sector codes"""


ISO_COUNTRY_CODES = {
    "AW": "ABW",
    "AF": "AFG",
    "AO": "AGO",
    "AI": "AIA",
    "AX": "ALA",
    "AL": "ALB",
    "AD": "AND",
    "AE": "ARE",
    "AR": "ARG",
    "AM": "ARM",
    "AS": "ASM",
    "AG": "ATG",
    "AU": "AUS",
    "AT": "AUT",
    "AZ": "AZE",
    "BI": "BDI",
    "BE": "BEL",
    "BJ": "BEN",
    "BQ": "BES",
    "BF": "BFA",
    "BD": "BGD",
    "BG": "BGR",
    "BH": "BHR",
    "BS": "BHS",
    "BA": "BIH",
    "BL": "BLM",
    "BY": "BLR",
    "BZ": "BLZ",
    "BM": "BMU",
    "BO": "BOL",
    "BR": "BRA",
    "BB": "BRB",
    "BN": "BRN",
    "BT": "BTN",
    "BW": "BWA",
    "CF": "CAF",
    "CA": "CAN",
    "CH": "CHE",
    "CL": "CHL",
    "CN": "CHN",
    "CI": "CIV",
    "CM": "CMR",
    "CD": "COD",
    "CG": "COG",
    "CK": "COK",
    "CO": "COL",
    "KM": "COM",
    "CV": "CPV",
    "CR": "CRI",
    "CU": "CUB",
    "CW": "CUW",
    "KY": "CYM",
    "CY": "CYP",
    "CZ": "CZE",
    "DE": "DEU",
    "DJ": "DJI",
    "DM": "DMA",
    "DK": "DNK",
    "DO": "DOM",
    "DZ": "DZA",
    "EC": "ECU",
    "EG": "EGY",
    "ER": "ERI",
    "EH": "ESH",
    "ES": "ESP",
    "EE": "EST",
    "ET": "ETH",
    "FI": "FIN",
    "FJ": "FJI",
    "FK": "FLK",
    "FR": "FRA",
    "FO": "FRO",
    "FM": "FSM",
    "GA": "GAB",
    "GB": "GBR",
    "GE": "GEO",
    "GG": "GGY",
    "GH": "GHA",
    "GI": "GIB",
    "GN": "GIN",
    "GP": "GLP",
    "GM": "GMB",
    "GW": "GNB",
    "GQ": "GNQ",
    "GR": "GRC",
    "GD": "GRD",
    "GL": "GRL",
    "GT": "GTM",
    "GF": "GUF",
    "GU": "GUM",
    "GY": "GUY",
    "HK": "HKG",
    "HN": "HND",
    "HR": "HRV",
    "HT": "HTI",
    "HU": "HUN",
    "ID": "IDN",
    "IM": "IMN",
    "IN": "IND",
    "IE": "IRL",
    "IR": "IRN",
    "IQ": "IRQ",
    "IS": "ISL",
    "IL": "ISR",
    "IT": "ITA",
    "JM": "JAM",
    "JE": "JEY",
    "JO": "JOR",
    "JP": "JPN",
    "KZ": "KAZ",
    "KE": "KEN",
    "KG": "KGZ",
    "KH": "KHM",
    "KI": "KIR",
    "KN": "KNA",
    "KR": "KOR",
    "KW": "KWT",
    "LA": "LAO",
    "LB": "LBN",
    "LR": "LBR",
    "LY": "LBY",
    "LC": "LCA",
    "LI": "LIE",
    "LK": "LKA",
    "LS": "LSO",
    "LT": "LTU",
    "LU": "LUX",
    "LV": "LVA",
    "MO": "MAC",
    "MF": "MAF",
    "MA": "MAR",
    "MC": "MCO",
    "MD": "MDA",
    "MG": "MDG",
    "MV": "MDV",
    "MX": "MEX",
    "MH": "MHL",
    "MK": "MKD",
    "ML": "MLI",
    "MT": "MLT",
    "MM": "MMR",
    "ME": "MNE",
    "MN": "MNG",
    "MP": "MNP",
    "MZ": "MOZ",
    "MR": "MRT",
    "MS": "MSR",
    "MQ": "MTQ",
    "MU": "MUS",
    "MW": "MWI",
    "MY": "MYS",
    "YT": "MYT",
    "NA": "NAM",
    "NC": "NCL",
    "NE": "NER",
    "NF": "NFK",
    "NG": "NGA",
    "NI": "NIC",
    "NU": "NIU",
    "NL": "NLD",
    "NO": "NOR",
    "NP": "NPL",
    "NR": "NRU",
    "NZ": "NZL",
    "OM": "OMN",
    "PK": "PAK",
    "PA": "PAN",
    "PN": "PCN",
    "PE": "PER",
    "PH": "PHL",
    "PW": "PLW",
    "PG": "PNG",
    "PL": "POL",
    "PR": "PRI",
    "KP": "PRK",
    "PT": "PRT",
    "PY": "PRY",
    "PS": "PSE",
    "PF": "PYF",
    "QA": "QAT",
    "RE": "REU",
    "RO": "ROU",
    "RU": "RUS",
    "RW": "RWA",
    "SA": "SAU",
    "SD": "SDN",
    "SN": "SEN",
    "SG": "SGP",
    "SH": "SHN",
    "SJ": "SJM",
    "SB": "SLB",
    "SL": "SLE",
    "SV": "SLV",
    "SM": "SMR",
    "SO": "SOM",
    "PM": "SPM",
    "RS": "SRB",
    "SS": "SSD",
    "ST": "STP",
    "SR": "SUR",
    "SK": "SVK",
    "SI": "SVN",
    "SE": "SWE",
    "SZ": "SWZ",
    "SX": "SXM",
    "SC": "SYC",
    "SY": "SYR",
    "TC": "TCA",
    "TD": "TCD",
    "TG": "TGO",
    "TH": "THA",
    "TJ": "TJK",
    "TK": "TKL",
    "TM": "TKM",
    "TL": "TLS",
    "TO": "TON",
    "TT": "TTO",
    "TN": "TUN",
    "TR": "TUR",
    "TV": "TUV",
    "TZ": "TZA",
    "UG": "UGA",
    "UA": "UKR",
    "UY": "URY",
    "US": "USA",
    "UZ": "UZB",
    "VA": "VAT",
    "VC": "VCT",
    "VE": "VEN",
    "VG": "VGB",
    "VI": "VIR",
    "VN": "VNM",
    "VU": "VUT",
    "WF": "WLF",
    "WS": "WSM",
    "YE": "YEM",
    "ZA": "ZAF",
    "ZM": "ZMB",
    "ZW": "ZWE",
}
"""ISO3 codes from ISO2 codes"""


ISO_COUNTRY_NAMES = {
"AW": "Aruba",
"AF": "Afghanistan",
"AO": "Angola",
"AI": "Anguilla",
"AX": "Åland Islands",
"AL": "Albania",
"AD": "Andorra",
"AE": "United Arab Emirates",
"AR": "Argentina",
"AM": "Armenia",
"AS": "American Samoa",
"AG": "Antigua and Barbuda",
"AU": "Australia",
"AT": "Austria",
"AZ": "Azerbaijan",
"BI": "Burundi",
"BE": "Belgium",
"BJ": "Benin",
"BQ": "Bonaire, Sint Eustatius and Saba",
"BF": "Burkina Faso",
"BD": "Bangladesh",
"BG": "Bulgaria",
"BH": "Bahrain",
"BS": "Bahamas",
"BA": "Bosnia and Herzegovina",
"BL": "Saint-Barthélemy",
"BY": "Belarus",
"BZ": "Belize",
"BM": "Bermuda",
"BO": "Bolivia (Plurinational State of)",
"BR": "Brazil",
"BB": "Barbados",
"BN": "Brunei Darussalam",
"BT": "Bhutan",
"BW": "Botswana",
"CF": "Central African Republic",
"CA": "Canada",
"CH": "Switzerland",
"CL": "Chile",
"CN": "China",
"CI": "Côte d'Ivoire",
"CM": "Cameroon",
"CD": "Democratic Republic of the Congo",
"CG": "Congo",
"CK": "Cook Islands",
"CO": "Colombia",
"KM": "Comoros",
"CV": "Cabo Verde",
"CR": "Costa Rica",
"CU": "Cuba",
"CW": "Curaçao",
"KY": "Cayman Islands",
"CY": "Cyprus",
"CZ": "Czech Republic",
"DE": "Germany",
"DJ": "Djibouti",
"DM": "Dominica",
"DK": "Denmark",
"DO": "Dominican Republic",
"DZ": "Algeria",
"EC": "Ecuador",
"EG": "Egypt",
"ER": "Eritrea",
"EH": "Western Sahara",
"ES": "Spain",
"EE": "Estonia",
"ET": "Ethiopia",
"FI": "Finland",
"FJ": "Fiji",
"FK": "Falkland Islands (Malvinas)",
"FR": "France",
"FO": "Faeroe Islands",
"FM": "Micronesia (Federated States of)",
"GA": "Gabon",
"GB": "United Kingdom of Great Britain and Northern Ireland",
"GE": "Georgia",
"GG": "Guernsey",
"GH": "Ghana",
"GI": "Gibraltar",
"GN": "Guinea",
"GP": "Guadeloupe",
"GM": "Gambia",
"GW": "Guinea-Bissau",
"GQ": "Equatorial Guinea",
"GR": "Greece",
"GD": "Grenada",
"GL": "Greenland",
"GT": "Guatemala",
"GF": "French Guiana",
"GU": "Guam",
"GY": "Guyana",
"HK": "China, Hong Kong Special Administrative Region",
"HN": "Honduras",
"HR": "Croatia",
"HT": "Haiti",
"HU": "Hungary",
"ID": "Indonesia",
"IM": "Isle of Man",
"IN": "India",
"IE": "Ireland",
"IR": "Iran (Islamic Republic of)",
"IQ": "Iraq",
"IS": "Iceland",
"IL": "Israel",
"IT": "Italy",
"JM": "Jamaica",
"JE": "Jersey",
"JO": "Jordan",
"JP": "Japan",
"KZ": "Kazakhstan",
"KE": "Kenya",
"KG": "Kyrgyzstan",
"KH": "Cambodia",
"KI": "Kiribati",
"KN": "Saint Kitts and Nevis",
"KR": "Republic of Korea",
"KW": "Kuwait",
"LA": "Lao People's Democratic Republic",
"LB": "Lebanon",
"LR": "Liberia",
"LY": "Libya",
"LC": "Saint Lucia",
"LI": "Liechtenstein",
"LK": "Sri Lanka",
"LS": "Lesotho",
"LT": "Lithuania",
"LU": "Luxembourg",
"LV": "Latvia",
"MO": "China, Macao Special Administrative Region",
"MF": "Saint-Martin (French part)",
"MA": "Morocco",
"MC": "Monaco",
"MD": "Republic of Moldova",
"MG": "Madagascar",
"MV": "Maldives",
"MX": "Mexico",
"MH": "Marshall Islands",
"MK": "The former Yugoslav Republic of Macedonia",
"ML": "Mali",
"MT": "Malta",
"MM": "Myanmar",
"ME": "Montenegro",
"MN": "Mongolia",
"MP": "Northern Mariana Islands",
"MZ": "Mozambique",
"MR": "Mauritania",
"MS": "Montserrat",
"MQ": "Martinique",
"MU": "Mauritius",
"MW": "Malawi",
"MY": "Malaysia",
"YT": "Mayotte",
"NA": "Namibia",
"NC": "New Caledonia",
"NE": "Niger",
"NF": "Norfolk Island",
"NG": "Nigeria",
"NI": "Nicaragua",
"NU": "Niue",
"NL": "Netherlands",
"NO": "Norway",
"NP": "Nepal",
"NR": "Nauru",
"NZ": "New Zealand",
"OM": "Oman",
"PK": "Pakistan",
"PA": "Panama",
"PN": "Pitcairn",
"PE": "Peru",
"PH": "Philippines",
"PW": "Palau",
"PG": "Papua New Guinea",
"PL": "Poland",
"PR": "Puerto Rico",
"KP": "Democratic People's Republic of Korea",
"PT": "Portugal",
"PY": "Paraguay",
"PS": "State of Palestine",
"PF": "French Polynesia",
"QA": "Qatar",
"RE": "Réunion",
"RO": "Romania",
"RU": "Russian Federation",
"RW": "Rwanda",
"SA": "Saudi Arabia",
"SD": "Sudan",
"SN": "Senegal",
"SG": "Singapore",
"SH": "Saint Helena",
"SJ": "Svalbard and Jan Mayen Islands",
"SB": "Solomon Islands",
"SL": "Sierra Leone",
"SV": "El Salvador",
"SM": "San Marino",
"SO": "Somalia",
"PM": "Saint Pierre and Miquelon",
"RS": "Serbia",
"SS": "South Sudan",
"ST": "Sao Tome and Principe",
"SR": "Suriname",
"SK": "Slovakia",
"SI": "Slovenia",
"SE": "Sweden",
"SZ": "Swaziland",
"SX": "Sint Maarten (Dutch part)",
"SC": "Seychelles",
"SY": "Syrian Arab Republic",
"TC": "Turks and Caicos Islands",
"TD": "Chad",
"TG": "Togo",
"TH": "Thailand",
"TJ": "Tajikistan",
"TK": "Tokelau",
"TM": "Turkmenistan",
"TL": "Timor-Leste",
"TO": "Tonga",
"TT": "Trinidad and Tobago",
"TN": "Tunisia",
"TR": "Turkey",
"TV": "Tuvalu",
"TZ": "United Republic of Tanzania",
"UG": "Uganda",
"UA": "Ukraine",
"UY": "Uruguay",
"US": "United States of America",
"UZ": "Uzbekistan",
"VA": "Holy See",
"VC": "Saint Vincent and the Grenadines",
"VE": "Venezuela (Bolivarian Republic of)",
"VG": "British Virgin Islands",
"VI": "United States Virgin Islands",
"VN": "Viet Nam",
"VU": "Vanuatu",
"WF": "Wallis and Futuna Islands",
"WS": "Samoa",
"YE": "Yemen",
"ZA": "South Africa",
"ZM": "Zambia",
"ZW": "Zimbabwe",
}
"""Country names from ISO2 codes"""
